## WebKitDOMHTMLHtmlElement

WebKitDOMHTMLHtmlElement

## Functions

gchar * | webkit_dom_html_html_element_get_version ()
void | webkit_dom_html_html_element_set_version ()
gchar * | webkit_dom_html_html_element_get_manifest ()
void | webkit_dom_html_html_element_set_manifest ()

## Properties

gchar * | manifest | Read / Write
gchar * | version | Read / Write

## Types and Values

| WebKitDOMHTMLHtmlElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLHtmlElement

## Implemented Interfaces

WebKitDOMHTMLHtmlElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_html_element_get_version ()

    gchar *
    webkit_dom_html_html_element_get_version
                                   (WebKitDOMHTMLHtmlElement *self);

#### Parameters

self | A WebKitDOMHTMLHtmlElement |

#### Returns

A gchar

### webkit_dom_html_html_element_set_version ()

    void
    webkit_dom_html_html_element_set_version
                                   (WebKitDOMHTMLHtmlElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLHtmlElement |
value | A gchar |

### webkit_dom_html_html_element_get_manifest ()

    gchar *
    webkit_dom_html_html_element_get_manifest
                                   (WebKitDOMHTMLHtmlElement *self);

#### Parameters

self | A WebKitDOMHTMLHtmlElement |

#### Returns

A gchar

### webkit_dom_html_html_element_set_manifest ()

    void
    webkit_dom_html_html_element_set_manifest
                                   (WebKitDOMHTMLHtmlElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLHtmlElement |
value | A gchar |

## Types and Values

### WebKitDOMHTMLHtmlElement

    typedef struct _WebKitDOMHTMLHtmlElement WebKitDOMHTMLHtmlElement;

## Property Details

### The `“manifest”` property

      “manifest”                 gchar *

read-write gchar* HTMLHtmlElement:manifest.

Flags: Read / Write

Default value: ""

### The `“version”` property

      “version”                  gchar *

read-write gchar* HTMLHtmlElement:version.

Flags: Read / Write

Default value: ""